﻿/**
	Date.euDate()
	
	Copyright © 2008 Flashbit LLC
	
	Converts a Date object to an European date, e.g. DD.MM.YYYY
	
	Returns 
   	String - DD.MM.YYYY
 */
Date.prototype.euDate = function():String {
	var day:String = (this.getDate() > 10) ? String(this.getDate()) : "0" + this.getDate(),
		month:String = (this.getMonth() < 9) ? "0" + Number(this.getMonth()+1) : String(Number(this.getMonth()+1));
	return day + "." + month + "." + this.getFullYear();
};
ASSetPropFlags(Date.prototype, "euDate", 1);