﻿/**
	String.toDate()
	
	Copyright © 2008 Flashbit LLC
	
	Converts an ISO-formatted date string (YYYY-MM-DD H:M:S) to a Date object
	
	Returns 
   	Date - Flash Date object of a given string
 */
String.prototype.toDate = function():Date {
	var dArr:Array = this.split("-"),
		month:Number = (dArr[1].charAt(0) != "0") ? Number(dArr[1])-1 : Number(dArr[1].charAt(1))-1,
		date:Number = (dArr[2].charAt(0) != "0") ? dArr[2].substr(0,2) : dArr[2].charAt(1);
	if (dArr[2].length > 4 && dArr[2].indexOf(":") != -1) {
		var tArr:Array = dArr[2].substr(3).split(":"),
			flashDate:Date = new Date(dArr[0], month, date, tArr[0], tArr[1], tArr[2]);
	} else {
		var flashDate:Date = new Date(dArr[0], month, date);
	}
	return flashDate;
};
ASSetPropFlags(String.prototype, "toDate", 1);
